"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const electron_1 = require("electron");
const locale = require("../locale/locale");
exports.changeEnvironmentPrompt = (url) => {
    const cancelButton = locale.getText('changeEnvironmentModalCancel');
    const confirmButton = locale.getText('changeEnvironmentModalConfirm');
    const buttons = [confirmButton, cancelButton];
    const options = {
        buttons,
        cancelId: buttons.indexOf(cancelButton),
        defaultId: buttons.indexOf(cancelButton),
        message: locale.getText('changeEnvironmentModalText', { url }),
        title: locale.getText('changeEnvironmentModalTitle'),
        type: 'info',
    };
    const buttonIndex = electron_1.dialog.showMessageBoxSync(options);
    return buttons[buttonIndex] === confirmButton;
};
//# sourceMappingURL=changeEnvironmentPrompt.js.map